/**
 * @Author: 嗨噜客(三亚)<fm453>
 * @Date: 2023-07-19 16:03:07
 * @FilePath: store/index.js
 * @Description: 
 * @Email:  393213759@qq.com
 * Copyright (c) 2025 by www.hiluker.cn, All Rights Reserved. 
 */
import user from '@/store/modules/user.js' //主项目的user信息及操作
// import userCloud from '@/store/modules/userCloud.js' //unistarter云端处理的用户信息
let store;

// #ifndef VUE3
import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
store = new Vuex.Store({
    modules: {
        user,
        // userCloud
    },
    strict: true
})
// #endif

// #ifdef VUE3
import {
    createStore
} from 'vuex'
store = createStore({
    modules: {
        user,
        // userCloud
    }
})
// #endif

export default store